How can I return to using Parallels 2.5?

Discussion in 'Installation and Configuration' started by Greg Coats, Aug 6, 2007.

  1. Greg Coats

    Greg Coats

    Messages:
    14
    I was only using Parallels for one Windows application, ArcMap, from http://www.esri.com. ArcMap worked fine under Parallels version 2.5. But after paying for the upgrade to Parallels verison 3.0, I now find that ArcMap will not start up, instead it reports an cryptic error message after only 5 seconds, and presents a button to send the error to Microsoft.
    How can I return to using Parallels version 2.5?
    Greg
     
  2. brkirch

    brkirch Kilo Poster

    Messages:
    415
    What build are you using? Do you have DirectX support enabled? It is possible to downgrade to 2.5 (Parallels Image Tool in the latest beta can downgrade the virtual disk format), but if you have paid for 3.0 I would recommend trying to get this resolved without downgrading first.
     
  3. John Howard

    John Howard

    Messages:
    126
    Interesting! Parallels should be commended for providing this option. That said, that fact that this option is presented is ipso facto evidence that the developers do not have enough confidence in their update/upgrade to let it stand. That makes sense for a beta. Also a useful warning for those that are not ready to take risks.
     
  4. pfloydn

    pfloydn

    Messages:
    24
    Perhaps not

    ... or - rather than being 'ipso facto' evidence of poor quality, perhaps it's a useful feature to allow the transition of a VM from a machine with 3.0 installed to one with 2.5. I've used it for this purpose... I love how cynical some people are... :)
     
  5. John Howard

    John Howard

    Messages:
    126
    Actually, I do not equate lack of confidence with "poor quality" when it comes to beta versions. That's one of the purposes of releasing betas - to obtain feedback on code in which the developers are not yet fully confident.

    I do confess to some cynicism - but not in this instance. :)
     
  6. spectre

    spectre Parallels Team

    Messages:
    270
    The new Image Tools provides backwards compatibility with 2.x VM hdd format in order to allow you using the same VM in Parallels Workstation 2.2. We got a lot of requests from the people using both of our virtualization products on the different host OSes, so it's a feature that should allow them to simplify the transition process before both Parallels Desktop and Workstation will move to the same synchronized code base that will allow them to seamlessly use the same VMs on the different platforms.
     
  7. Greg Coats

    Greg Coats

    Messages:
    14
    Installing Parallels Desktop 3.0 for Mac presents this message:
    "If you would like to use your existing virtual machines with Parallels Desktop 3.0 for Mac, be informed that your VMs will be updated and will no longer be available for use with the previous versions of the software."

    Paralles 2.5 worked fine for me. Then I paid for the Parallels 3.0 "upgrade", and since then Parallels no longer works with the one Windows application I use. And trying to start Parallels 2.5 now yields an error message.

    After I pay to upgrade Photoshop to version 10, I can still use Photoshop version 9. Now that I have paid for Parallels 3.0, and it does not work, how can I go back to using Parallels 2.5, which I also paid for, and that works for me?
     
  8. brkirch

    brkirch Kilo Poster

    Messages:
    415
    Well alright, but before you downgrade could you try changing your DirectX setting (if DirectX support is on, try turning it off and if it is off try turning it on) to see if it makes a difference? If it doesn't, here is how you can downgrade:
    1. Make a backup of your VM
    2. Uninstall Parallels Tools from within Windows
    3. Download the latest beta and install it
    4. Run Parallels Image Tool and use it to change your virtual disk to the old format
    5. Run the uninstaller that came with the beta installer to uninstall Parallels
    6. Reboot
    7. Install Parallels 2.5
     
  9. Greg Coats

    Greg Coats

    Messages:
    14
    "try changing your DirectX setting"
    How does one change the DirectX setting?
     
  10. brkirch

    brkirch Kilo Poster

    Messages:
    415
    When your virtual machine isn't running, go to the "Edit" menu and select "Virtual Machine...". On the configuration editor window that is displayed the DirectX setting is under the "Video" options.
     
  11. Greg Coats

    Greg Coats

    Messages:
    14
    I tried using both DirectX settings, but the Windows application will not start up when using the paid upgrade to version 3.0. As a paying customer, this displeases me greatly.
     
  12. Greg Coats

    Greg Coats

    Messages:
    14
    I found that after degrading to Parallels versions 2.5 and 2.2, Parallels no longer recognizes the Apple mouse, making it useless to me. While running the paid upgrade to Parallels 3.0 and 3.0 Beta, Parallels recognizes the Apple mouse, but will not run the Windows application. So, for now I have an application that I paid for that I can not run.
     
  13. brkirch

    brkirch Kilo Poster

    Messages:
    415
    Which build are you using? If you are using build 4124 or 4128, please try updating to build 4560. You also might want to try reinstalling ArcGIS.
     
  14. Greg Coats

    Greg Coats

    Messages:
    14
    I have been using Parallels build 4560, and I already reinstalled ArcGiS 3 times. I need for some version of Parallels, preferably at least one of two versions I paid for, to work.
     
  15. Greg Coats

    Greg Coats

    Messages:
    14
    I have installed ArcMap from 3 differnet replicated DVD-ROMs. I do not see how ArcMap can be the source of the problem, especially since it works under Apple's free Boot Camp. Under Parallels 3, ArcMap will not start up. Using versions of Parallels earlier than 3, I have no use of the Apple mouse. How can Parallels 2.5 be used with an Apple mouse?
     
  16. Greg Coats

    Greg Coats

    Messages:
    14
    Under Parallels 3 and Parallels 3 Beta, the Windows only application ArcMap will not start up. Under Parallels version 2.2 and 2.5, I can not now use the Apple mouse, but ArcMap used to work. How can I set up Parallels 2.5 so it will work with the Apple mouse?
    Greg
     
  17. ariell

    ariell

    Messages:
    56
  18. Greg Coats

    Greg Coats

    Messages:
    14
    My Apple mouse worked with Parallels 2.2 and 2.5 before upgrading to 3.0. But since I paid for the upgrade to Parallels 3.0, my Apple mouse does works with Parallels 3.0, but my Apple mouse does not with Parallels 2.2 and 2.5. And my Windows application works with Parallels 2.2 and 2.5, but not 3.0.
     
  19. brkirch

    brkirch Kilo Poster

    Messages:
    415
    Did you uninstall Parallels Tools before downgrading? If so, try selecting to install Parallels Tools from the Actions menu and use the tab and return keys to get through the install.
     
  20. Greg Coats

    Greg Coats

    Messages:
    14
    I have no problem installing any version of Parallels. But when using Parallels 2.2 and 2.5, Parallels does not respond to the Apple mouse.
     

Share This Page